# Get challenge result Receive challenge result. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - 3DS authentication", "description": "3DS API endpoint documentation.", "contact": { "name": "API Support", "email": "support@pismo.com.br", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo", "url": "https://developers.pismo.io/licenses/" }, "version": "1.0.0" }, "servers": [ { "url": "https://api-sandbox.pismolabs.io/3ds-acs", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "HST", "description": "Endpoints to provide integration with HST." } ], "components": { "schemas": { "AnsweredAt": { "type": "string", "description": "End-user action RFC3339 timestamp", "example": "2022-12-21T10:08:58Z" }, "Any": { "type": "object", "example": { "valueA": "a", "valueB": 1, "valueC": false, "valueD": { "valueD1": "x" }, "valueN": "..." } }, "Authenticated": { "type": "boolean", "example": false }, "ChallengeResponse": { "type": "object", "required": [ "id", "decision", "answered_at", "metadata" ], "properties": { "id": { "$ref": "#/components/schemas/PismoAuthID" }, "decision": { "$ref": "#/components/schemas/Decision" }, "answered_at": { "$ref": "#/components/schemas/AnsweredAt" }, "metadata": { "$ref": "#/components/schemas/Any" } } }, "ChallengeResultResponse": { "type": "object", "properties": { "authenticated": { "$ref": "#/components/schemas/Authenticated" }, "description": { "$ref": "#/components/schemas/Description" } } }, "Decision": { "type": "string", "example": "approve", "description": "Client's anti-fraud decision", "enum": [ "approve", "reject" ] }, "Description": { "type": "string", "description": "Challenge result", "example": "Challenge expired" }, "PismoAuthID": { "type": "string", "description": "Pismo-generated unique authentication ID", "example": "ff77635e-1cd6-4fda-992d-5ceb71d75644" } } }, "paths": { "/v1/challenge-result": { "post": { "summary": "Get challenge result", "description": "Receive challenge result.", "operationId": "postChallengeResult", "tags": [ "HST" ], "requestBody": { "description": "Receive challenge result.", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ChallengeResponse" }, "examples": { "Basic example": { "value": { "id": "ff77635e-1cd6-4fda-992d-5ceb71d75644", "decision": "approve", "answered_at": "2022-12-21T10:08:58Z", "metadata": { "valueA": "a", "valueB": 1, "valueC": false, "valueD": { "valueD1": "x" }, "valueN": "..." } } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ChallengeResultResponse" } } } } } } } } } ```